ability @a worldbuilder false
tag @a remove debug
gamerule sendcommandfeedback false
effect @a clear
gamemode adventure @a
tp @a 0 67 1 -125 -5
clear @a

# ability @a worldbuilder true
# tag @a add debug
# gamerule sendcommandfeedback true
# effect @a night_vision 1000000 0 true
# gamemode creative @a

tellraw @a[tag=debug] {"rawtext":[{"text":"§9i"}]}

codebuilder navigate @s false https://minecraft.makecode.com/?ipc=1&inGame=1#tutorial:github:Mojang/EducationContent/no_coding

#> DIFFICULTY AND GAMERULES

difficulty peaceful

gamerule commandblockoutput false
gamerule commandblocksenabled true
gamerule dodaylightcycle false
gamerule doentitydrops false
gamerule dofiretick false
gamerule doimmediaterespawn false
gamerule doinsomnia false
gamerule domobloot false
gamerule domobspawning false
gamerule dotiledrops false
gamerule doweathercycle false
gamerule drowningdamage false
gamerule falldamage false
gamerule firedamage false
gamerule functioncommandlimit 10000
gamerule keepinventory true
gamerule maxcommandchainlength 65535
gamerule mobgriefing false
gamerule naturalregeneration true
gamerule pvp false
gamerule randomtickspeed 0
gamerule showcoordinates false
gamerule showdeathmessages true
gamerule tntexplodes false

#> OBJECTIVES, SCORES, AND TAGS

tag @a remove agent
tag @a remove captured
tag @a remove code
tag @a remove intercom
tag @a remove look
tag @a remove ww_hall
tag @a remove ww_exit
tag @a remove right
tag @a remove left
tag @a remove final
tag @a remove return
tag @a remove downstairs
tag @a remove upstairs
tag @p remove diana
tag @a remove painting
tag @a remove speech
tag @a remove lever
tag @a remove off
tag @s remove fail
tag @s remove floor_anim
tag @s remove sneak_anim
tag @s remove beams_anim
tag @s remove boxes_anim

tag @e[tag=wonder_woman_6] remove lasso

scoreboard players reset *

scoreboard objectives remove action
scoreboard objectives add action dummy

scoreboard objectives remove activity
scoreboard objectives add activity dummy

scoreboard objectives remove tick
scoreboard objectives add tick dummy

tag @a remove beams
tag @a remove closed_beams

tag @a remove boxes
tag @a remove closed_boxes

tag @a remove floor
tag @a remove closed_floor
scoreboard objectives remove floor
scoreboard objectives add floor dummy

tag @a remove sneak
tag @a remove closed_sneak

scoreboard objectives remove complete
scoreboard objectives add complete dummy

execute @a ~ ~ ~ kill @c
tag @e[type=!player,type=!agent,type=!painting,type=!rwm:character,type=!rwm:intercom] add despawn

#> CHARACTERS

teleport @e[tag=diana_0] 4 1 -5 0 0
teleport @e[tag=diana_1] 24 1 0 -90 0
teleport @e[tag=diana_2] 24 1 0 90 0
teleport @e[tag=diana_3] 17 1 0 -90 0
teleport @e[tag=diana_4] 28 1 2 180 0
teleport @e[tag=diana_5] 28 1 2 180 0
teleport @e[tag=diana_6] 25 1 -1 90 0

teleport @e[tag=wonder_woman_0] 24 1 0 90 0
teleport @e[tag=wonder_woman_1a] 24 1 0 90 0
teleport @e[tag=wonder_woman_2a] 24 1 0 90 0
teleport @e[tag=wonder_woman_3a] 24 1 0 90 0
teleport @e[tag=wonder_woman_4a] 24 1 0 90 0
teleport @e[tag=wonder_woman_1b] 24 1 0 90 0
teleport @e[tag=wonder_woman_2b] 24 1 0 90 0
teleport @e[tag=wonder_woman_3b] 24 1 0 90 0
teleport @e[tag=wonder_woman_4b] 24 1 0 90 0
teleport @e[tag=wonder_woman_5] 24 1 0 90 0
teleport @e[tag=wonder_woman_6] 17 1 0 -90 0

teleport @e[tag=intercom_activity] 26 1 0
tag @e[tag=intercom_activity,tag=a] add active
tag @e[tag=intercom_activity,tag=b] remove active

#> LOBBY

setblock 35 1 0 bedrock

# entrance door
fill 10 67 -1 11 69 1 air
fill 10 67 -1 10 69 1 glass_pane

# office doors
clone 13 4 3 14 5 3 3 67 -8

summon rwm:intercom_dummy 2 68.24 -6.81
teleport @e[tag=intercom_call] 2 68.24 -6.81

fill 2 67 -9 7 69 -9 barrier
summon rwm:actor 4.0 67 -11 diana_slow
summon rwm:utility 4 67 -5 target

#> HALL

# curtain
summon rwm:curtain 27 68.5 0
fill 27 69 -3 30 70 -3 barrier
fill 27 69 -2 27 70 2 barrier
fill 27 69 3 30 70 3 barrier

# skylight
fill 27 89 -1 29 89 1 glass
fill 16 89 -1 18 89 1 glass

# blue carpet
fill 15 67 -6 23 69 6 air

# side doors
setblock 13 67 -14 air
setblock 13 68 -14 barrier
fill 14 67 -18 14 68 -14 barrier
setblock 13 67 14 air
setblock 13 68 14 barrier
fill 14 67 14 14 68 18 barrier

# close stair gates
fill 14 74 -12 14 75 -10 iron_bars
fill 14 74 10 14 75 12 iron_bars

fill 30 70 -1 30 71 1 air

fill 25 67 0 25 68 0 air

fill 13 67 -8 26 68 -8 air 0 replace barrier
fill 13 67 8 26 68 8 air 0 replace barrier
fill 13 67 -7 13 68 7 air 0 replace barrier
fill 26 67 -7 26 68 7 air 0 replace barrier

summon rwm:intercom_dummy 10.19 75.24 0 west

#> BEAMS

# door
clone 12 4 2 12 5 3 31 67 10
fill 32 68 10 32 68 11 barrier

# beacon floor
clone 62 1 12 66 1 27 62 68 12

fill 62 69 12 66 86 27 air

fill 54 68 30 57 71 30 double_stone_slab

fill 61 69 11 67 70 11 barrier
fill 61 69 12 61 70 27 barrier
fill 67 69 12 67 70 27 barrier
fill 61 69 28 67 70 28 barrier

summon rwm:intercom_dummy 46 74.24 29.81 south

#> BOXES

# door
clone 13 4 2 14 5 2 23 67 13
fill 23 68 14 24 68 14 barrier

# boxes
clone 16 0 30 22 1 36 16 61 30 filtered normal iron_ore 0
clone 16 2 30 22 2 36 16 61 30 filtered normal gold_ore 0

fill 27 61 31 27 62 34 barrier

fill 25 61 27 25 62 39 barrier
fill 13 61 27 13 62 39 barrier
fill 24 61 27 14 62 27 barrier
fill 24 62 39 14 62 39 barrier

summon rwm:intercom_dummy 22 71.24 22.19

#> FLOOR

# door
clone 13 4 3 14 5 3 23 67 -13
fill 23 68 -14 24 68 -14 barrier

clone 22 1 -49 29 1 -37 22 66 -49 masked
function activity/floor/lights
clone 22 66 -53 34 66 -37 22 2 -53

fill 26 67 -57 30 70 -57 double_stone_slab
fill 23 67 -33 24 69 -33 barrier

summon rwm:intercom_dummy 26 75.24 -33.19 south

#> SNEAK

# door
clone 12 4 2 12 5 3 31 67 -11
fill 32 68 -11 32 68 -10 barrier

# room
fill 48 66 -16 55 66 -4 stone 4 replace magenta_glazed_terracotta
fill 50 67 -4 52 69 -4 air

summon rwm:intercom_dummy 43.19 75.24 -13.25 west

#> NOTES
# make extras and diana wander